- Qt 6.10
- Qt GUI
- C++ Classes
- Selection
- Qt 6.10.2 Reference Documentation

# QAbstractTextDocumentLayout::Selection Struct

struct QAbstractTextDocumentLayout::Selection

The QAbstractTextDocumentLayout::Selection class is a convenience class defining the parameters of a selection. More...

- List of all members, including inherited members

## Public Variables

QTextCursor | cursor
QTextCharFormat | format

## Detailed Description

A selection can be used to specify a part of a document that should be highlighted when drawing custom layouts for QTextDocuments with the QAbstractTextDocumentLayout::draw() function. It is specified using cursor and a format.

See also QAbstractTextDocumentLayout and PaintContext.

## Member Variable Documentation

### QTextCursor Selection::cursor

This variable holds the selection's cursor

The default value is a null cursor.

### QTextCharFormat Selection::format

This variable holds the format of the selection

The default value is QTextFormat::InvalidFormat.